Gtk2::TextMark(3)

NAME
Gtk2::TextMark

HIERARCHY
  Glib::Object
  +----Gtk2::TextMark

METHODS

  textmark = Gtk2::TextMark->new ($name, $left_gravity)

•   $name (string or undef)

•   $left_gravity (boolean)

Since: gtk+ 2.12

  textbuffer = $mark->get_buffer

  boolean = $mark->get_deleted

  boolean = $mark->get_left_gravity

  string = $mark->get_name

  boolean = $mark->get_visible

  $mark->set_visible ($setting)

•   $setting (boolean)

PROPERTIES

'left-gravity' (boolean : readable / writable / construct-only / private)
    Whether the mark has left gravity

'name' (string : readable / writable / construct-only / private)
    Mark name

SEE ALSO
Gtk2, Glib::Object

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.